﻿using Newtonsoft.Json;

namespace VRC_Console;

internal class Config
{
    internal static readonly string ConfigFilePath = Path.Combine(Directory.GetCurrentDirectory(), "config.json");
    public string Ip =  "127.0.0.1";
    public int PortSend = 9000;
    public double Radius = 100;
    public double WalkStretchDeadzone = 0.1;
    public double RunStretch = 0.4;
    public int CalibrationValues = 128;
    public string LeashStretchParameter = "Leash/Leash_Stretch";
    public string LeashToggleParameter = "Leash/Toggle";

    public Config()
    {
        File.WriteAllText(ConfigFilePath, JsonConvert.SerializeObject(this, Formatting.Indented));
    }
}